%define name	link-grammar
%define version	4.2.5
%define release	5

%define lib_major       4
%define lib_name        %mklibname link-grammar %{lib_major}
%define develname	%mklibname -d link-grammar

Summary:	A syntactic parser of English
Name:		%{name}
Version:	%{version}
Release:	%mkrel %{release}
Group:		Office/Utilities
License:	BSD-like
Source:		%{name}-%{version}.tar.bz2
Patch0:		link-grammar-4.2.5-error.patch
URL:		http://www.link.cs.cmu.edu/link/

%description
The Link Grammar Parser is a syntactic parser of English, based
on link grammar, an original theory of English syntax. Given a
sentence, the system assigns to it a syntactic structure, which
consists of a set of labeled links connecting pairs of words.
The parser also produces a "constituent" representation of a
sentence (showing noun phrases, verb phrases, etc.).

%package -n %{lib_name}
Summary:	A syntactic parser of English
Group:		System/Libraries

%description -n %{lib_name}
The Link Grammar Parser is a syntactic parser of English, based
on link grammar, an original theory of English syntax. Given a
sentence, the system assigns to it a syntactic structure, which
consists of a set of labeled links connecting pairs of words.
The parser also produces a "constituent" representation of a
sentence (showing noun phrases, verb phrases, etc.).

%package -n %{develname}
Summary:	Support files necessary to compile applications with link-grammar
Group:		 Development/C
Requires:	%{lib_name} = %{version}
Requires:	link-grammar
Provides:	link-grammar-devel = %{version}-%{release}
Obsoletes:	%{_lib}link-grammar4-devel < 4.2.5-3

%description -n %{develname}
Libraries and header files necessary to compile applications using
link-grammar.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p0

%build
libtoolize --ltdl -c -f
touch NEWS ChangeLog COPYING
autoreconf -fi -I ac-helpers 
echo 'AC_DEFUN([AM_BINRELOC], [])' >> alocal.m4
%configure2_5x --disable-static
# 4.1.1: parallel make is broken
make

%install
%makeinstall_std
find %{buildroot} -name '*.la' -delete

%files
%doc LICENSE README
%{_bindir}/*
%{_datadir}/link-grammar/*

%files -n %{lib_name}
%{_libdir}/lib*.so.%{lib_major}
%{_libdir}/lib*.so.%{lib_major}.*

%files -n %{develname}
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/link-grammar.pc
%{_includedir}/link-grammar


%changelog
* Fri Oct 18 2013 umeabot <umeabot> 4.2.5-5.mga4
+ Revision: 521091
- Mageia 4 Mass Rebuild

* Wed Jan 16 2013 fwang <fwang> 4.2.5-4.mga3
+ Revision: 388579
- update rpm group
- unzip patch
- cleanup spec

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Feb 25 2011 ennael <ennael> 4.2.5-2.mga1
+ Revision: 60012
- add patch for error.c
- fix build
- revert and autoreconf
- fix libtool error
- clean spec file
- imported package link-grammar

  + rtp <rtp>
    - fix autoreconf line


* Mon Jun 09 2008 Pixel <pixel@mandriva.com> 4.2.5-2mdv2009.0
+ Revision: 217192
- do not call ldconfig in %%post/%%postun, it is now handled by filetriggers
- normalize call to ldconfig in %%post/%%postun

* Tue Mar 25 2008 Emmanuel Andry <eandry@mandriva.org> 4.2.5-2mdv2008.1
+ Revision: 189872
- Fix groups
- protect major

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Nov 13 2007 Jérôme Soyer <saispo@mandriva.org> 4.2.5-1mdv2008.1
+ Revision: 108495
- New release 4.2.4

* Wed Sep 05 2007 Jérôme Soyer <saispo@mandriva.org> 4.2.4-1mdv2008.0
+ Revision: 80232
- New release 4.2.4
- Import link-grammar




* Sat Apr 15 2006 Jerome Soyer <saispo@mandriva.org> 4.2.2-1mdk
- 4.2.2

* Thu Aug 04 2005 Marcel Pol <mpol@mandriva.org> 4.1.3-1mdk
- 4.1.3

* Tue Jul 26 2005 Marcel Pol <mpol@mandriva.org> 4.1.2-0.20050726cvs.2mdk
- fix description and summary (Gaetan Lehmann)
- fix license

* Tue Jul 26 2005 Marcel Pol <mpol@mandriva.org> 4.1.2-0.20050726cvs.1mdk
- cvs release of 4.1.2-20050726cvs
- buildrequires automake1.9
- P1, run versioned automake and aclocal

* Tue May 17 2005 Marcel Pol <mpol@mandriva.org> 4.1.1-1mdk
- Initial version
